# -*-makefile-*-
#
# Copyright (C) 2012 by Alexander Aring
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_BVTEST) += bvtest

#
# Paths and names
#
BVTEST_VERSION		:= 0.0.1
BVTEST			:= bvtest-$(BVTEST_VERSION)
BVTEST_URL		:= file://$(PTXDIST_WORKSPACE)/local_src/$(BVTEST)
BVTEST_DIR		:= $(BUILDDIR)/$(BVTEST)
BVTEST_BUILD_OOT	:= YES
BVTEST_LICENSE		:= GPL

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#
# autoconf
#
BVTEST_CONF_TOLL := autoconf

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/bvtest.targetinstall:
	@$(call targetinfo)

	@$(call install_init,  bvtest)
	@$(call install_fixup, bvtest,PACKAGE,bvtest)
	@$(call install_fixup, bvtest,PRIORITY,optional)
	@$(call install_fixup, bvtest,VERSION,$(BVTEST_VERSION))
	@$(call install_fixup, bvtest,SECTION,base)
	@$(call install_fixup, bvtest,AUTHOR,"Alexander Aring")
	@$(call install_fixup, bvtest,DEPENDS,)
	@$(call install_fixup, bvtest,DESCRIPTION,missing)

	@$(call install_copy, bvtest, 0, 0, 0755, -, /usr/bin/save_raw_image)
	@$(call install_copy, bvtest, 0, 0, 0755, -, /usr/bin/compare_raw_image)
	@$(call install_copy, bvtest, 0, 0, 0755, -, /usr/bin/histogramsum_raw_image)

	@$(call install_finish, bvtest)

	@$(call touch)

# vim: syntax=make
